-c
-heap  0x2000
-stack 0x4000

/* include the fastRTS lib */
-l ..\libs\fastrts67xR.lib
 
/* link with the C67x+ rts library */
-l rts67plus.lib

/* link the software system patch into the application */
/* required for proper device operation */
-l ..\libs\applySystemPatch.obj               
-l ..\libs\c672xSystemPatchV2_00_00.lib

/* include the rom version of the DSPlib */
-l ..\libs\c67xdsplibR.lib


MEMORY
{
    /* rom memory map */
    IROM_BOOT:       o = 00000000h   l = 00020000h 
    IROM_DSPLIB:     o = 00020000h   l = 0000C000h 
    IROM_FASTRTS:    o = 0002C000h   l = 00004000h
    IROM_BIOS:       o = 00030000h   l = 00030000h       

    /* ram memory map */
    /* reserved at boot for bootloader */
    IRAM_BOOT:       o = 10000000h   l = 00001000h

	/* internal ram available for user applications */
    IRAM_USER_LOW:   o = 10001000h   l = 00000B00h

    /* to be reserved if using the ROM version of fastRTS */
    IRAM_FASTRTS_RESERVED:   o = 10001B00h   l = 00000100h

	/* internal ram available for user applications */
    IRAM_USER:            o = 10001C00h   l = 0003E400h

}

SECTIONS
{
    /* used to locate the DSPlib in ROM */
    .dsplib  : > IROM_DSPLIB, type = NOLOAD

    /* used to locate the fast rts library in ROM */
    .fastRts  : > IROM_FASTRTS, type = NOLOAD 

	/* used to specify the fastrts bss section in RAM */
    .fastRtsbss :> IRAM_FASTRTS_RESERVED 

      
    /* C standard sections */ 
    .text    >    IRAM_USER
    .stack   >    IRAM_USER
    .far     >    IRAM_USER
    .switch  >    IRAM_USER
    .tables  >    IRAM_USER
    .data    >    IRAM_USER
    .bss     >    IRAM_USER
    .cinit   >    IRAM_USER
    .sysmem  >    IRAM_USER
    .const   >    IRAM_USER
    .cio     >    IRAM_USER
    .pinit   >    IRAM_USER
}

                    
